summaryrefslogtreecommitdiffstats
path: root/test/repo1/test-c/test-c.pre-install
diff options
context:
space:
mode:
Diffstat (limited to 'test/repo1/test-c/test-c.pre-install')
-rw-r--r--test/repo1/test-c/test-c.pre-install14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/repo1/test-c/test-c.pre-install b/test/repo1/test-c/test-c.pre-install
new file mode 100644
index 0000000..c75c644
--- /dev/null
+++ b/test/repo1/test-c/test-c.pre-install
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+echo "$@" > /pre-install
+
+if [ -n "$WAS_EXPORTED" ]; then
+ touch /was-exported
+fi
+
+if [ -f /should-fail ]; then
+ exit 1
+fi
+
+exit 0
+